Edit Admin Clip
PATCH
/api/superadmin/clips/{name}
const url = 'https://example.com/api/superadmin/clips/example';const options = { method: 'PATCH', headers: { Authorization: 'Bearer <token>', 'Content-Type': 'application/x-www-form-urlencoded' }, body: new URLSearchParams({caption: 'example', hero: 'false'})};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/superadmin/clips/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data caption=example \ --data hero=falseUpdate the caption and / or hero flag for one entry.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” name
required
Name
string
Request Body required
Section titled “Request Body required ” Media type application/x-www-form-urlencoded
Body_edit_admin_clip_api_superadmin_clips__name__patch
object
caption
required
Caption
string
hero
Hero
boolean
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response Edit Admin Clip Api Superadmin Clips Name Patch
object
key
additional properties
any
Example generated
{}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}